Page MenuHomePhabricator

eolian_cxx: add free functions to the types
ClosedPublic

Authored by bu5hm4n on Jan 16 2019, 5:52 AM.

Details

Summary

later on @owned functions are enforced to have free functions attached,
if not, eolian will bail out. This is ensuring this for the eolian-cxx
functions

Depends on D7640

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
bu5hm4n created this revision.Jan 16 2019, 5:52 AM
bu5hm4n requested review of this revision.Jan 16 2019, 5:52 AM
bu5hm4n updated this revision to Diff 18658.Jan 21 2019, 6:07 AM
bu5hm4n edited the summary of this revision. (Show Details)

rebase

lauromoura accepted this revision.Jan 23 2019, 4:32 AM
This revision is now accepted and ready to land.Jan 23 2019, 4:32 AM
Closed by commit rEFLefaa4bc7f9c4: eolian_cxx: add free functions to the types (authored by Marcel Hollerbach <mail@marcel-hollerbach.de>). · Explain WhyJan 23 2019, 5:13 AM
This revision was automatically updated to reflect the committed changes.